ALTER TRIGGER TR_FACIALFINDETAIL_BU_500 DISABLE
/
CREATE OR REPLACE PROCEDURE FacialFinDetailFixAcceptDate
AS
BEGIN
  FOR REC$1 IN (SELECT fcc.AcceptDate AS CapAcceptDate, fcc.ID AS CapID 
      FROM FacialFinCaption fcc
  where (fcc.AcceptDate is not null)
  )
  LOOP
    UPDATE facialfindetail SET
      AcceptDate = REC$1.CapAcceptDate
    WHERE
    (RecordIndex = REC$1.CapID) and (AcceptDate is null) and (Reject_cls is null);   
  END LOOP;
END;
/
COMMIT WORK 
/
CALL FacialFinDetailFixAcceptDate()
/
DROP PROCEDURE FacialFinDetailFixAcceptDate
/
ALTER TRIGGER TR_FACIALFINDETAIL_BU_500 ENABLE
/
COMMIT WORK 
/